## org.w3c.dom.html
Interface HTMLFormElement

All Superinterfaces:
  Element, HTMLElement, Node

    public interface HTMLFormElement

extends HTMLElement

The `FORM` element encompasses behavior similar to acollection and an element. It provides direct access to the containedinput elements as well as the attributes of the form element. See the FORM element definition in HTML 4.0.

Field Summary

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getAcceptCharset()` List of character sets supported by the server.
`java.lang.String` `getAction()` Server-side form handler.
`HTMLCollection` `getElements()` Returns a collection of all control elements in the form.
`java.lang.String` `getEnctype()` The content type of the submitted form, generally "application/x-www-form-urlencoded".
`int` `getLength()` The number of form controls in the form.
`java.lang.String` `getMethod()` HTTP method used to submit form.
`java.lang.String` `getName()` Names the form.
`java.lang.String` `getTarget()` Frame to render the resource in.
`void` `reset()` Restores a form element's default values.
`void` `setAcceptCharset(java.lang.String acceptCharset)`
`void` `setAction(java.lang.String action)`
`void` `setEnctype(java.lang.String enctype)`
`void` `setMethod(java.lang.String method)`
`void` `setName(java.lang.String name)`
`void` `setTarget(java.lang.String target)`
`void` `submit()` Submits the form.

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getElements

    HTMLCollection getElements()

  Returns a collection of all control elements in the form.

### getLength

    int getLength()

  The number of form controls in the form.

### getName

    java.lang.String getName()

  Names the form.

### setName

    void setName(java.lang.String name)

### getAcceptCharset

    java.lang.String getAcceptCharset()

  List of character sets supported by the server. See the accept-charset attribute definition in HTML 4.0.

### setAcceptCharset

    void setAcceptCharset(java.lang.String acceptCharset)

### getAction

    java.lang.String getAction()

  Server-side form handler. See the action attribute definition in HTML 4.0.

### setAction

    void setAction(java.lang.String action)

### getEnctype

    java.lang.String getEnctype()

  The content type of the submitted form, generally "application/x-www-form-urlencoded". See the enctype attribute definition in HTML 4.0.

### setEnctype

    void setEnctype(java.lang.String enctype)

### getMethod

    java.lang.String getMethod()

  HTTP method used to submit form. See the method attribute definition in HTML 4.0.

### setMethod

    void setMethod(java.lang.String method)

### getTarget

    java.lang.String getTarget()

  Frame to render the resource in. See the target attribute definition in HTML 4.0.

### setTarget

    void setTarget(java.lang.String target)

### submit

    void submit()

  Submits the form. It performs the same action as a submit button.

### reset

    void reset()

  Restores a form element's default values. It performs the same action as a reset button.

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.